Bug 846612 - gscan2pdf produces malformed pages at random
gscan2pdf produces malformed pages at random
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 04:52 EDT by Boricua
Modified: 2015-02-18 08:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 604136
Environment:
Last Closed: 2015-02-18 08:45:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boricua 2012-08-08 04:52:33 EDT
+++ This bug was initially created as a clone of Bug #604136 +++

Created attachment 424158 [details]
One page of a legal-size document written in Spanish showing the malformation at the bottom

Description of problem: I'm not sure if "malformed" is the correct term but seems the most descriptive to me.  Once in a while and while performing multiple-pages scanning, one or more of the scanned pages appear malformed, with the text displaced from one line to the next. I'll be attaching an example to better explain it.  This issue happens at random and for no apparent reason.  Sometimes it appears to affect two consecutive pages and then again once dozens of pages later.  The severity of the problem also changes.  The error does not show off in the preview pane of gscan2pdf but in the final job once you open it with evince of any other .pdf reader. If you scan again the compromised pages alone, the issue disappears.


Version-Release number of selected component (if applicable): 0.9.30


How reproducible:  By scanning multiple pages and saving the document.


Steps to Reproduce:
1. Scan multiple pages.
2. Save the document scanned.
3. Open the document in a .pdf reader.
  
Actual results: Sometimes some one or more pages appear malformed.


Expected results: An accurately scanned document.


Additional info: The attachment provides a far better explanation.

--- Additional comment from triage@lists.fedoraproject.org on 2011-06-02 06:46:00 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from ortizsantini@gmail.com on 2011-06-02 08:58:52 EDT ---

I am changing the version to Fedora 15 since the bug is still present (as it was in Fedora 14).  I can add the problem seems to be related to the scanning phase and not document saving, since I always resolve the issue by re-scanning the defective pages and substituting the defective ones. Then I re-save the document with the same name and usually (but not always) is fixed.

--- Additional comment from bjohnson@symetrix.com on 2012-03-18 22:43:44 EDT ---

What is you setting for frontend in preferences?  Does this occur with other frontends?

--- Additional comment from ortizsantini@gmail.com on 2012-03-19 04:46:45 EDT ---

The frontend is libsane-perl, which I guess is the default since I don't recall ever changing it.  Should I try with every other listed?  By the way, I'm having the same issue now on Fedora 16.

--- Additional comment from bjohnson@symetrix.com on 2012-03-20 00:13:09 EDT ---

Yes, please try to reproduce with the other frontends and report back which ones you encounter the same problem with.

--- Additional comment from ortizsantini@gmail.com on 2012-03-20 10:55:59 EDT ---

I can report the same issue while using scanimage frontend.  I will now switch to scanimage-perl.

--- Additional comment from ortizsantini@gmail.com on 2012-04-09 09:58:04 EDT ---

Hi, I can now tell the problem takes place with each and every frontend. I am now using Fedora 17, by the way.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 16:11:05 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2013-07-03 16:02:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 15:16:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Boricua 2013-08-02 10:13:46 EDT
Hi, I wish to reopen this bug, since the same remains present in Fedora 19, as it was in Fedora 18 and before. The behavior stays the same, with at random distortions with no apparent explanation nor pattern.  Thanks.
Comment 4 Fedora End Of Life 2015-01-09 16:59:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 08:45:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.